In the Mythbuntu Control Centre, under repositories, I hit the refresh button(for selecting the version of MythTV to run) and I still see just 0.25 (which I currently am on) and 0.26.

Now when I select 0.26 I get the warning text about being a development version and having to type in the password (YouMustBe...).

I assumed now that 0.26 is formally released that it would not have development status (from the Control Centre's point of view). In fact I expected to see 0.25, 0.26 and devel 0.27.

Is it safe to choose 0.26 despite the (furfy) warning it's development?